<template>
  <div id="app" class="grid-container">
    <Header class="header"></Header>
    <router-view class="content"></router-view>
    <div class="footer"></div>
  </div>
</template>

<script>
export default {
  name: "App",
  components: {},
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

.grid-container {
  display: grid;
  grid-template-columns: .5fr 6fr .5fr;
  grid-template-rows: 1fr 4fr 1fr;
  width: 100vw;
  height: 100vh;
}

.header {
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 1;
  grid-row-end: 2;
}

.content {
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 3;
}

.footer {
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 3;
  grid-row-end: 4;
}
@media only screen and (max-width: 992px) {
  .grid-container {
    display: grid;
    grid-template-columns: 2fr 6fr 2fr;
    grid-template-rows: 1fr 6fr 1fr;
    width: 100vw;
    height: 100vh;
  } 
}

@media only screen and (max-width: 576px) {
  .grid-container {
    display: grid;
    grid-template-columns: 0.5fr 8fr 0.5fr;
    grid-template-rows: 0.5fr 6fr 0.5fr;
    width: 100vw;
    height: 100vh;
  } 
}
</style>
